Jump to content
Korean Random
GPCracker

Улучшенная система прицеливания / Advanced Aiming System

Recommended Posts

1 час назад, MRA3b сказал:

в нынешнем патче работает ?

 

Работает. Проверено.

Share this post


Link to post

Short link
Share on other sites

@Jarik1335 

В 19.06.2014 в 00:47, GPCracker сказал:

Установка модификации:
Стандартная. Распаковать папку res_mods в корневую папку игры. При отсутствии в комплекте необходимых загрузчиков (это два файла scripts/client/cameranode.pyc и scripts/client/mods/__init__.pyc), вам необходимо загрузить и установить их отдельно. Они общие для всех модов в папке scripts/client/mods. Также возможна установка в scripts/client/gui/mods/, но при этом необходимо переименовать скрипт и основной файл конфигурации, добавив в начало необходимый для работы из этой папки префикс (mod_), таким образом, чтобы основное имя (не считая т.н. "расширения") обоих файлов осталось одинаковым.

Объясните пожалуйста как установить. Сделал как ту не работает. 

Share this post


Link to post

Short link
Share on other sites
12 hours ago, MRA3b said:

Объясните пожалуйста как установить. Сделал как ту не работает. 

Первое правило темы - перед тем, как что-то писать, необходимо воспользоваться поиском, ибо 99% вопросов уже задавали.

Второе правило темы - читать посты внимательно, особенно внимательно теги и патчноуты, ибо там есть 95% нужной информации.

Третье правило темы - все обновления анонсируются, т.е. при выходе новой версии модификации в теме появляется пост с патчноутом.

Четвертое правило темы. Качать нужно не сразу из шапки, а найти анонс нужной версии в теме при помощи поиска. В нем написано, откуда можно скачать эту версию.

Пятое правило темы. Задавая более конкретный вопрос, можно получить больше полезной информации, поэтому вопрос нужно формулировать грамотно.

 

В данной ситуации правильный вопрос не "на текущей версии клиента работает?", а "поделитесь, пожалуйста, ссылкой на актуальную версию".

Собственно, ссылка на пост с последним релизом, среднестатистическому пользователю нужна только последняя версия, остальные по сути технические.

Share this post


Link to post

Short link
Share on other sites

@GPCracker Спасибо

@GPCracker Всё равно не работает. Скачал последнию версию. Почитал ответы. Закинул содержание архивов XModLib v0.1.17 и AdvancedAimingSystem v0.2.17 в папку mods. У меня мод не работает. Мод пак от  NDO 

Edited by MRA3b

Share this post


Link to post

Short link
Share on other sites
1 hour ago, MRA3b said:

У меня мод не работает.

Нулевое правило любой темы любой модификации любого автора - "у меня не работает" является абсолютно неинформативным и сугубо субъективным баг-репортом, и поэтому практически всегда игнорируется. Прочитай внимательно содержимое соответствующего спойлера у меня в подписи.

З.Ы. В общем-то ничего нового, или как обычно, "логи в студию".

Edited by GPCracker

Share this post


Link to post

Short link
Share on other sites

@GPCrackerpython.log Я играю на ПТ. Установил всё в папку мод выше указанные файлы. При входе в игру никаких ошибок нету. В бою ничего не отображается. Один прицел "Белый".

xvm.log

cef.log

Share this post


Link to post

Short link
Share on other sites
7 минут назад, MRA3b сказал:

@GPCrackerpython.log Я играю на ПТ. Установил всё в папку мод выше указанные файлы. При входе в игру никаких ошибок нету. В бою ничего не отображается. Один прицел "Белый".

xvm.log

cef.log

В питоне ни слова про загрузку мода.

Или не то кинул, или не туда.

Share this post


Link to post

Short link
Share on other sites

@MRA3b, вот это уже совсем другое дело.

Ни AdvancedAimingSystem, ни XModLib нет в списке загрузки пакетов.

Скорее всего ты что-то не так установил, ставлю на простую распаковку архивов.

Модификация собирается под какую-то конкретную версию клиента, и архивы при отсутствии изменений в коде под микропатчи не пересобираются.

Собственно, не вижу особого смысла тратить кучу времени на перепаковку и замену архивов, если там изменилась только папка.

Для игрока сообразить про версию и перекинуть пакеты ручками дело меньше чем на минуту.

Перекинь пакеты в папку с номером актуальной версии клиента.

Share this post


Link to post

Short link
Share on other sites

@MRA3b

14 minutes ago, MRA3b said:

2018-03-11 15:58:34.374: INFO: [PY_DEBUG] Checking ./res_mods/0.9.22.0.1: mods found

Ты закинул в 0.9.22.0, а нужно в 0.9.22.0.1.

Share this post


Link to post

Short link
Share on other sites

@GPCracker Перекинул в 0.9.22.0.1 Игра не запускается.
В диспетчере игра весит. А на панели её нету. 

python.log

Edited by MRA3b

Share this post


Link to post

Short link
Share on other sites
3 minutes ago, MRA3b said:

Игра не запускается.

Ошибка очень похожа на использование очень старой версии библиотеки XModLib со свежей AdvancedAimingSystem... Стоп, а ты res_mods после экспериментов с версией из шапки почистил?

Share this post


Link to post

Short link
Share on other sites
Just now, MRA3b said:

Я удалял те файлы потом.

Зайди в папку ./res_mods/0.9.22.0.1 и посмотри содержимое. Ничего из состава AdvancedAimingSystem или XModLib там быть не должно, все файлы уже довольно давно распространяются в пакетах.

Share this post


Link to post

Short link
Share on other sites

 

@GPCracker Заработало, спасибо. И последний вопрос. Где можно поменять цвет текста и расположение в снайперском и аркадном режиме ? 

Edited by MRA3b

Share this post


Link to post

Short link
Share on other sites
1 hour ago, MRA3b said:

Где можно поменять цвет текста и расположение в снайперском и аркадном режиме ?

Расположение информационных панелей меняется либо в конфиге, файл gui.xml, либо просто мышкой в игре.

Для изменения текста и его параметров (текст задается в формате HTML) нужно править файл локализации (исходник).

В игре локализация находится в скомпилированном состоянии, для редактирования ее нужно предварительно разобрать специальной утилитой, а потом собрать обратно.

Исходный файл достается из пакета GPCracker.AdvancedAimingSystem_v0.2.17.wotmod, res/text/lc_messages/AdvancedAimingSystem.mo.

Измененный кладется по пути res_mods/0.9.22.0.1/text/lc_messages/AdvancedAimingSystem.mo, чтобы не редактировать пакет.

Подмена файлов в клиенте происходит в соответствии с внутренними механизмами и списком путей к ресурсам paths.xml.

Подробности по части исправлений в файлах локализации подробно расписаны в этой теме.

Share this post


Link to post

Short link
Share on other sites
16 минут назад, Scharfhobel сказал:

Мод шуршит на 1.0 или нет?

Башня не вращается, когда ставишь.

  • Upvote 1

Share this post


Link to post

Short link
Share on other sites
17 minutes ago, Scharfhobel said:

Мод шуршит на 1.0 или нет?

Пока еще не смотрел особо диффы, но скорее всего исправлений там будет нужно сделать немало. В любом случае, учитывая просто огромное количество проблем, в ближайшие пару дней будет микропатч, инфа 100%.

  • Upvote 2

Share this post


Link to post

Short link
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×